[Pkg-sysvinit-commits] r1663 - sysvinit/trunk/debian

Petter Reinholdtsen pere at alioth.debian.org
Sat Aug 29 08:05:27 UTC 2009


Author: pere
Date: 2009-08-29 08:05:15 +0000 (Sat, 29 Aug 2009)
New Revision: 1663

Modified:
   sysvinit/trunk/debian/sysv-rc.postinst
Log:
Change code to only migrate if the debconf question was shown.

Modified: sysvinit/trunk/debian/sysv-rc.postinst
===================================================================
--- sysvinit/trunk/debian/sysv-rc.postinst	2009-08-28 06:42:52 UTC (rev 1662)
+++ sysvinit/trunk/debian/sysv-rc.postinst	2009-08-29 08:05:15 UTC (rev 1663)
@@ -143,17 +143,19 @@
 	# the migration.
 	db_input critical sysv-rc/convert-legacy || [ $? -eq 30 ]
 
-	db_go || true
-	db_get sysv-rc/convert-legacy || true
+	if db_go ; then
+            # Only convert when the question was displayed
+	    db_get sysv-rc/convert-legacy || true
 
-	if [ true = "$RET" ] ; then
-	    if activate_insserv ; then
-		echo "success: Enabled dependency based boot system."
+	    if [ true = "$RET" ] ; then
+		if activate_insserv ; then
+		    echo "success: Enabled dependency based boot system."
+		else
+		    echo "error: Something failed while migrating."
+		fi
 	    else
-		echo "error: Something failed while converting."
+		echo "warning: Not converting legacy boot sequence to dependency based boot sequencing."
 	    fi
-	else
-	    echo "warning: Not converting legacy boot sequence to dependency based boot sequencing."
 	fi
     fi
 }




More information about the Pkg-sysvinit-commits mailing list